/* -----------------------------------------------------------------------------
 K03-21 Prevadec kodovani ceske diakritiky

 Martin Sloup, A04372
 FAV, INIB-INF
 msloup@students.zcu.cz
 arcao@arcao.com
 Soubor load_table.h
----------------------------------------------------------------------------- */

#ifndef LOAD_TABLE_H
#define LOAD_TABLE_H

#define __POSIX__

#ifdef __POSIX__
#define PATH_SEP   "/"
#else
#define PATH_SEP   "\\"
#endif

#define LINE_LENGTH (1024)
#define TABLE_BUFFER (255)
/* Pri hledani znaku v poli pouzivat binarni vyhledavani? */
#define BSEARCH

extern CHARSTRUCT *table; /* Prekodovavaci tabulka */
extern int table_length; /* Velikost [bufferu] prekodovavaci tabulky */
extern int table_current_position; /* Aktualni pozice v prekodovavaci tabulce */ 
extern int loadfrom; /* Od jakeho ascii kodu tabulky budemem nacitat? */
extern int use_internal_encoding_from; /* Pouziti vestavene fce na prekodovani? 0=ascii, 1=utf8, 2=utf16 */
extern int use_internal_encoding_to; /* Pouziti vestavene fce na prekodovani? 0=ascii, 1=utf8, 2=utf16 */

extern void load_table(char *filename, char mode);
extern void sorttable();
extern unsigned int search_char(unsigned int index, unsigned int c_default);

#endif
