#include <stdio.h>

int main(int argc, char *argv[]) {
	FILE *fp;
	int c;
	
	if (argc < 2) {
		fprintf(stderr, "Zadejte jako parametr jmeno souboru.\n");
		exit(1);
	}
	
	fp = fopen(argv[1], "rb");
	while((c = fgetc(fp)) != EOF) {
		/*fprintf(stderr, "Testuji %d\n", (int) c);*/
		if ((c > 0 && c < 9) || (c > 10 && c < 13) || (c > 13 && c < 32)) {
			fprintf(stderr, "Soubor %s je binarni.\n", argv[1]);
			exit(0);
		}
	}
	fprintf(stderr, "Soubor %s je textovy.\n", argv[1]);
	fclose(fp);
}

